---
title: Document.featurePolicy
slug: Web/API/Document/featurePolicy
tags:
  - API
  - Document
  - Feature Policy
  - Feature-Policy
  - Reference
---
<p>{{APIRef("Feature Policy")}}</p>

<p>The <strong><code>featurePolicy</code></strong> read-only property of the {{domxref("Document")}} interface returns the {{domxref("FeaturePolicy")}} interface which provides a simple API for inspecting the feature policies applied to a specific document.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">var <var>policy</var> = <var>iframeElement</var>.featurePolicy</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("FeaturePolicy")}} object that can be used to inspect the Feature Policy settings applied to the document.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Feature Policy")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.featurePolicy")}}</p>
